<?php

function sig_handler($signo) {
    unlink(PIDFILE);
    exit(0);
}

if(pcntl_fork()) {
    exit;
}

posix_setsid();
if(pcntl_fork()) {
    exit;
}

umask(0);
chdir('/');

fclose(STDIN); fclose(STDOUT); fclose(STDERR);

declare(ticks=1);
define('PIDFILE','/var/run/psa-health-monitor-notificationd.pid');

pcntl_signal(SIGTERM, "sig_handler");

$pid = fopen(PIDFILE, 'w');
fwrite($pid, posix_getpid());
fclose($pid);
	
include_once '/opt/psa/admin/plib/Health/Alarm/Daemon/script.php';

unlink(PIDFILE);
exit(0);
?>
